#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	libidn2
Version		:	2.3.0
Release		:	14.8.0.0%{?dist}
Summary		:	Library of IDNA2008, Punycode and TR46.
Group		:	Library/email

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2
URL		:	https://ftp.gnu.org/gnu/libidn/ 

Source0		:	%{name}-%{version}.tar.gz

buildroot	:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#-----------------------------------------------------------------------------
Requires	:	dovecot
#-----------------------------------------------------------------------------
%description
Libidn2 is a free software implementation of IDNA2008, Punycode
and TR46 in the form a library. It contains functionality to convert
internationalized domain names to and from ASCII Compatible Encoding
(ACE), following the IDNA2008 and TR46 standards.

%prep
%setup -q 

#---------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--disable-static				\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__rm} -fr %{buildroot}%{_infodir}/dir

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README.md
%{_bindir}/idn2
%{_includedir}/idn2.h
%{_libdir}/%{name}.{la,so*}
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gtk-doc/html/%{name}/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}/style.css
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/idn2.1.gz
%{_mandir}/man3/idn2_*.3.gz


%preun

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
